// AIPollingDlg.h : header file
//

#if !defined(AFX_AIPOLLINGDLG_H__FF634AA2_80F0_4006_AD9E_1A8D723063E6__INCLUDED_)
#define AFX_AIPOLLINGDLG_H__FF634AA2_80F0_4006_AD9E_1A8D723063E6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CAIPollingDlg dialog

class CAIPollingDlg : public CDialog
{
// Construction
public:
	CAIPollingDlg(CWnd* pParent = NULL);	// standard constructor
	float GetDlgItemFloat(int nID);
	DWORD GetDlgItemHex(int nID);
// Dialog Data
	//{{AFX_DATA(CAIPollingDlg)
	enum { IDD = IDD_AIPOLLING_DIALOG };
	CEdit	m_IDC_DOVal;
	CEdit	m_IDC_DIVal;
	CButton	m_IDC_cmdAITrigger;
	CEdit	m_IDC_tbxDataNum;
	CComboBox	m_IDC_COMBO_cbxAICfgCode;
	CComboBox	m_IDC_cbxAICfgCode;
	CEdit	m_IDC_tbxAutoZeroVal;
	CButton	m_IDC_cmdSaveAutozeroVal;
	CButton	m_IDC_chkAutoZeroEnable;
	CEdit	m_IDC_yscale1;
	CEdit	m_IDC_yscale0;
	CButton	m_IDC_optAIFloat;
	CButton	m_IDC_optAIHex;
	CEdit	m_IDC_tbxAOfreq;
	CButton	m_IDC_optDAVol;
	CButton	m_IDC_optSin;
	CButton	m_IDC_cmdAOStop;
	CButton	m_IDC_optDC;
	CButton	m_IDC_Frame1;
	CButton	m_IDC_optDAhex;
	CListBox	m_IDC_List1;
	CButton	m_IDC_cmdAOCH0;
	CStatic	m_lblDACH0Type;
	CEdit	m_IDC_tbxAOCH0Val;
	CComboBox	m_IDC_COMBO_cbxAIRate;
	CComboBox	m_IDC_COMBO_cbxAICh;
	CComboBox	m_IDC_COMBO_cbxBoardNo;
	CButton	m_IDCCANCEL;
	CStatic	m_IDC_PIC_Data;
	CButton	m_IDC_BTN_Active;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAIPollingDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CAIPollingDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnCancel();
	afx_msg void OncmdAOCH0();
	afx_msg void OncmdAOStop();
	afx_msg void OnoptSin();
	afx_msg void OnoptDC();
	afx_msg void OnoptDAVol();
	afx_msg void OnoptDAhex();
	afx_msg void OnSelchangeCOMBOcbxAICh();
	afx_msg void OnSelchangeCOMBOcbxBoardNo();
	afx_msg void OnSelchangeCOMBOcbxAICfgCode();
	afx_msg void OnSelchangeCOMBOcbxAIRate();
	afx_msg void OnoptAIFloat();
	afx_msg void OnoptAIHex();
	afx_msg void OncmdAITrigger();
	afx_msg void OnchkAutoZeroEnable();
	afx_msg void OncmdSaveAutozeroVal();
	afx_msg void OnOutputDO();
	afx_msg void OnInputDI();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedCancel();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AIPOLLINGDLG_H__FF634AA2_80F0_4006_AD9E_1A8D723063E6__INCLUDED_)
